using Core.Entities;

namespace Application.Services.Database;

public interface IPacientRepository
{
    Task AddAsync(Pacient pacient);

    Task<Pacient> GetByIdAsync(Guid id);

    Task<Pacient?> FindByEmailAsync(string email);

    Task UpdateAsync(Pacient doctor);

    Task DeleteAsync(Pacient doctor);

    Task<IEnumerable<Pacient>> GetAllAsync();
}
